"""Initial migration

Revision ID: 45159dc97be5
Revises:
Create Date: 2025-02-24 18:00:02.613701

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = "45159dc97be5"
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "run",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("date", sa.DateTime(), nullable=False),
        sa.Column("distance", sa.Float(), nullable=False),
        sa.Column(
            "unit", sa.Enum("MILES", "KILOMETERS", name="distanceunit"), nullable=False
        ),
        sa.Column("duration", sa.Float(), nullable=False),
        sa.Column("heart_rate", sa.Float(), nullable=True),
        sa.Column("elevation_gain", sa.Float(), nullable=True),
        sa.Column("pace", sa.Float(), nullable=True),
        sa.Column(
            "run_type",
            sa.Enum(
                "EASY", "LONG", "INTERVAL", "TEMPO", "RACE", "RECOVERY", name="runtype"
            ),
            nullable=False,
        ),
        sa.Column("location", sa.String(), nullable=True),
        sa.Column("notes", sa.String(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("run")
    # ### end Alembic commands ###
